<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>examples.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/docs/</path>
    <filename>examples_8dox</filename>
  </compound>
  <compound kind="file">
    <name>main.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/docs/</path>
    <filename>main_8dox</filename>
  </compound>
  <compound kind="file">
    <name>usage.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/docs/</path>
    <filename>usage_8dox</filename>
  </compound>
  <compound kind="file">
    <name>ExportedTypeConversions.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_exported_type_conversions_8h</filename>
    <includes id="_pst_types_8h" name="PstTypes.h" local="no" imported="no">PstTypes.h</includes>
    <namespace>PSTech</namespace>
    <namespace>PSTech::pstsdk</namespace>
    <namespace>PSTech::pstsdk::ExportedTypeConversions</namespace>
    <member kind="function">
      <type>PSTech::pstsdk::Point</type>
      <name>ToPoint</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>a32be245762fd1512f620c994c11142a9</anchor>
      <arglist>(const ::DataPoint &amp;datapoint)</arglist>
    </member>
    <member kind="function">
      <type>PSTech::pstsdk::TargetPose</type>
      <name>ToTargetPose</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>a25933e76b0ba3da980b261ac8955c650</anchor>
      <arglist>(const ::DevicePose &amp;devicepose)</arglist>
    </member>
    <member kind="function">
      <type>PSTech::pstsdk::TrackerData</type>
      <name>ToTrackerData</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>aed0cb4b9292fb22b02ff3eb9d25b99f3</anchor>
      <arglist>(const ::TrackerData &amp;td)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>PstArray.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_array_8h</filename>
    <includes id="_tracker_exceptions_8h" name="TrackerExceptions.h" local="yes" imported="no">TrackerExceptions.h</includes>
    <class kind="class">PSTech::Utils::PstArray</class>
    <namespace>PSTech</namespace>
    <namespace>PSTech::Utils</namespace>
  </compound>
  <compound kind="file">
    <name>PstBase.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_base_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>PST_EXPORT</name>
      <anchorfile>_pst_base_8h.html</anchorfile>
      <anchor>ade4d32e9ae26f0f58dacf1f81d10dd25</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>pstsdk_cpp.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>pstsdk__cpp_8h</filename>
    <includes id="_pst_base_8h" name="PstBase.h" local="yes" imported="no">PstBase.h</includes>
    <includes id="_pst_string_8h" name="PstString.h" local="yes" imported="no">PstString.h</includes>
    <includes id="_pst_vector_8h" name="PstVector.h" local="yes" imported="no">PstVector.h</includes>
    <includes id="_pst_array_8h" name="PstArray.h" local="yes" imported="no">PstArray.h</includes>
    <includes id="_pst_types_8h" name="PstTypes.h" local="yes" imported="no">PstTypes.h</includes>
    <class kind="class">PSTech::pstsdk::Listener</class>
    <class kind="class">PSTech::pstsdk::Tracker</class>
    <namespace>PSTech</namespace>
    <namespace>PSTech::pstsdk</namespace>
    <member kind="function">
      <type>void</type>
      <name>EnableLogging</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gacb791dbc7ad3a415d91e38546237aac2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>GetSdkVersion</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gad51bc9b89e2717ea92e7e6a9651c6c56</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>PstString.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_string_8h</filename>
    <includes id="_pst_base_8h" name="PstBase.h" local="yes" imported="no">PstBase.h</includes>
    <class kind="class">PSTech::Utils::PstString</class>
    <namespace>PSTech</namespace>
    <namespace>PSTech::Utils</namespace>
  </compound>
  <compound kind="file">
    <name>PstStringIoStream.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_string_io_stream_8h</filename>
    <includes id="_pst_string_8h" name="PstString.h" local="yes" imported="no">PstString.h</includes>
    <namespace>PSTech</namespace>
    <namespace>PSTech::Utils</namespace>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespace_p_s_tech_1_1_utils.html</anchorfile>
      <anchor>aa1d30e6d85cc57cd5fd66dcb309d618e</anchor>
      <arglist>(std::ostream &amp;stream, const PstString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>std::istream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespace_p_s_tech_1_1_utils.html</anchorfile>
      <anchor>a8f38c97ddee90a3afc16e12903d5ed50</anchor>
      <arglist>(std::istream &amp;stream, PstString &amp;string)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>PstTypes.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_types_8h</filename>
    <includes id="_pst_string_8h" name="PstString.h" local="yes" imported="no">PstString.h</includes>
    <includes id="_pst_vector_8h" name="PstVector.h" local="yes" imported="no">PstVector.h</includes>
    <includes id="_pst_array_8h" name="PstArray.h" local="yes" imported="no">PstArray.h</includes>
    <class kind="struct">PSTech::pstsdk::Image</class>
    <class kind="struct">PSTech::pstsdk::Target</class>
    <class kind="struct">PSTech::pstsdk::TargetStatus</class>
    <class kind="struct">PSTech::pstsdk::Point</class>
    <class kind="struct">PSTech::pstsdk::TargetPose</class>
    <class kind="struct">PSTech::pstsdk::TrackerData</class>
    <namespace>PSTech</namespace>
    <namespace>PSTech::pstsdk</namespace>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Target &gt;</type>
      <name>Targets</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga309090509c3ef99756650d04b97f7ae3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetStatus &gt;</type>
      <name>TargetStatuses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga6d657617469b6b0a952ca38dec1473b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Point &gt;</type>
      <name>Points</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>gaefada679604ce5d98a55a3ef5daf3950</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetPose &gt;</type>
      <name>TargetPoses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga1eb26da5114f4771d6920fa47ed14a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Utils::PstArray&lt; float, 3 &gt; &gt;</type>
      <name>MarkerList</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga7c74db57b5cfed3570fda7e51fe2289f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>StatusMessage</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga334f40a25385faa58fa9edcb0d90cff5</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ae0aa021e21dddbd6d8cecec71e9cf564">OK</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a02de9649e258d1dd94056e676061e969">NOT_INITIALIZED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a99c8ce56e7ab246445d3b134724428f3">DISCONNECTED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a7ee1d6df65ab465de65535d5af2d2f91">ERR_GENERAL</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ac82a27709efb1143b08da2cb97822fd5">ERR_TIMEOUT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a875df40b67689a872004e951d7e5a1c8">ERR_NOCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a071f30dd49e8df603858816ff43b1d41">ERR_NOTENOUGHTCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ababeca197b1dc3756aa87c04701e8f79">ERR_INITERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a9e29524075a1b3479465d3b172198ab6">ERR_CANNOT_START_CAMS</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ad8fcbf9854cd5d803a907fe3c840af94">ERR_CANNOT_SETUP_CAMS</enumvalue>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>TrackerMode</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga756fafee029ba46fa0eea49558df1148</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0addcf61b10b9caba89d15cedd597639">LOWPOWER</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148addbb81a9e3aab6cfa19ad8eb2389efd4">SETUP</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a8728801b2a11ad95c8ecf855bfd484e4">TRACKING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a7c95c63fdc6550e5b33eed35360778c3">TRAINING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148add7cd0eb57db08d4f98abc48e5593462">DISCONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a435d743b35551ea7106af41c4a308c01">RECONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0500ac4be1fa58507ca4a2f175b5fe71">TRACKER_ERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a696b031073e74bf2cb98e5ef201d4aa3">UNKNOWN</enumvalue>
    </member>
  </compound>
  <compound kind="file">
    <name>PstVector.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_pst_vector_8h</filename>
    <includes id="_pst_base_8h" name="PstBase.h" local="yes" imported="no">PstBase.h</includes>
    <class kind="class">PSTech::Utils::PstVector</class>
    <class kind="class">PSTech::Utils::PstVector::Allocator</class>
    <namespace>PSTech</namespace>
    <namespace>PSTech::Utils</namespace>
  </compound>
  <compound kind="file">
    <name>resource.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>resource_8h</filename>
  </compound>
  <compound kind="file">
    <name>TrackerExceptions.h</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/cpp/include/</path>
    <filename>_tracker_exceptions_8h</filename>
    <includes id="_pst_base_8h" name="PstBase.h" local="yes" imported="no">PstBase.h</includes>
    <class kind="class">PSTech::PSTException</class>
    <class kind="class">PSTech::TrackerException</class>
    <class kind="class">PSTech::InvalidDataException</class>
    <class kind="class">PSTech::NotFoundException</class>
    <class kind="class">PSTech::AlreadyExistsException</class>
    <class kind="class">PSTech::IOException</class>
    <class kind="class">PSTech::OutOfRangeException</class>
    <class kind="class">PSTech::NotSupportedException</class>
    <class kind="class">PSTech::NotInitializedException</class>
    <class kind="class">PSTech::HttpException</class>
    <class kind="class">PSTech::JSONException</class>
    <namespace>PSTech</namespace>
    <member kind="define">
      <type>#define</type>
      <name>DECLARE_PST_EXCEPTION</name>
      <anchorfile>_tracker_exceptions_8h.html</anchorfile>
      <anchor>a77445124adfe08ad9264ba584a8c0a68</anchor>
      <arglist>(child, parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::Utils::PstVector::Allocator</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</filename>
    <member kind="function">
      <type>PstVector&lt; T &gt;::pointer</type>
      <name>allocate</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>ac70f1ed83a5800687e532987aab018e2</anchor>
      <arglist>(typename PstVector&lt; T &gt;::size_type num)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>construct</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>aa0ffb2efd940a474e20b084f3673052b</anchor>
      <arglist>(typename PstVector&lt; T &gt;::pointer p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>construct</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>a16d8df789fc36f2e5f247132bdbab48b</anchor>
      <arglist>(typename PstVector&lt; T &gt;::pointer p, A &amp;... arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>construct</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>aff1eda804374929a93188d82ed6de35f</anchor>
      <arglist>(typename PstVector&lt; T &gt;::pointer p, T &amp;&amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>a6b7133c61ecedfa5bbaa405a70000f42</anchor>
      <arglist>(typename PstVector&lt; T &gt;::pointer p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deallocate</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector_1_1_allocator.html</anchorfile>
      <anchor>a68fbed5f36b9e5586d81025c952a7f7b</anchor>
      <arglist>(typename PstVector&lt; T &gt;::pointer p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::AlreadyExistsException</name>
    <filename>class_p_s_tech_1_1_already_exists_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>AlreadyExistsException</name>
      <anchorfile>class_p_s_tech_1_1_already_exists_exception.html</anchorfile>
      <anchor>a4326554a15125b7930b27cb74470b59f</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AlreadyExistsException</name>
      <anchorfile>class_p_s_tech_1_1_already_exists_exception.html</anchorfile>
      <anchor>aea447c359cea9c1651fca99874a54e51</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::HttpException</name>
    <filename>class_p_s_tech_1_1_http_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>HttpException</name>
      <anchorfile>class_p_s_tech_1_1_http_exception.html</anchorfile>
      <anchor>a9b08eb5b70c21651c80cc77d6cb84232</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HttpException</name>
      <anchorfile>class_p_s_tech_1_1_http_exception.html</anchorfile>
      <anchor>a97b7b12589029de55319f54f975dbba2</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::Image</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_image.html</filename>
    <member kind="variable">
      <type>unsigned int</type>
      <name>width</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_image.html</anchorfile>
      <anchor>aafdcdd2fc98c11e307af196209f8785b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>height</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_image.html</anchorfile>
      <anchor>a4abc000fb703766bbaf49a24b877bd30</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Utils::PstVector&lt; unsigned char * &gt;</type>
      <name>images</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_image.html</anchorfile>
      <anchor>ab87c928bc656ef16681642780116e34f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::InvalidDataException</name>
    <filename>class_p_s_tech_1_1_invalid_data_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>InvalidDataException</name>
      <anchorfile>class_p_s_tech_1_1_invalid_data_exception.html</anchorfile>
      <anchor>a1e5d89dd95b9761037a3eb0b8ec295c8</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InvalidDataException</name>
      <anchorfile>class_p_s_tech_1_1_invalid_data_exception.html</anchorfile>
      <anchor>a9bc46178811056739fa921b07b3dbf85</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::IOException</name>
    <filename>class_p_s_tech_1_1_i_o_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>IOException</name>
      <anchorfile>class_p_s_tech_1_1_i_o_exception.html</anchorfile>
      <anchor>a539408bc29e785caf0c08cd3b3245d92</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IOException</name>
      <anchorfile>class_p_s_tech_1_1_i_o_exception.html</anchorfile>
      <anchor>aa18ee65e00df3fa2de4bdb579b9233da</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::JSONException</name>
    <filename>class_p_s_tech_1_1_j_s_o_n_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>JSONException</name>
      <anchorfile>class_p_s_tech_1_1_j_s_o_n_exception.html</anchorfile>
      <anchor>a22cfb8f07ad51849497fae735e541403</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JSONException</name>
      <anchorfile>class_p_s_tech_1_1_j_s_o_n_exception.html</anchorfile>
      <anchor>a1ae24e1bf3f83b2ee42be5e92573914d</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::pstsdk::Listener</name>
    <filename>class_p_s_tech_1_1pstsdk_1_1_listener.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnTrackerData</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_listener.html</anchorfile>
      <anchor>a6fd52075e303f1c3e52a2dec164d0904</anchor>
      <arglist>(const TrackerData &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnTrackerMode</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_listener.html</anchorfile>
      <anchor>a5fcdd1eeeea90a767d7dd4e30d6ce47c</anchor>
      <arglist>(const TrackerMode mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Listener</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_listener.html</anchorfile>
      <anchor>a0b4f4d000efbf8e232384a3505caa465</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::NotFoundException</name>
    <filename>class_p_s_tech_1_1_not_found_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>NotFoundException</name>
      <anchorfile>class_p_s_tech_1_1_not_found_exception.html</anchorfile>
      <anchor>add68fcbb33a479795c629f62f219c8df</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NotFoundException</name>
      <anchorfile>class_p_s_tech_1_1_not_found_exception.html</anchorfile>
      <anchor>a1a7e10473f62114df0b68d9928f53710</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::NotInitializedException</name>
    <filename>class_p_s_tech_1_1_not_initialized_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>NotInitializedException</name>
      <anchorfile>class_p_s_tech_1_1_not_initialized_exception.html</anchorfile>
      <anchor>a4b74f1d01f08e07ba049c0897ecaf006</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NotInitializedException</name>
      <anchorfile>class_p_s_tech_1_1_not_initialized_exception.html</anchorfile>
      <anchor>ae0306d8eeb14b4e9f00214ef20a17f20</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::NotSupportedException</name>
    <filename>class_p_s_tech_1_1_not_supported_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>NotSupportedException</name>
      <anchorfile>class_p_s_tech_1_1_not_supported_exception.html</anchorfile>
      <anchor>a167a2585e1ae17de730e38044de93f3d</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NotSupportedException</name>
      <anchorfile>class_p_s_tech_1_1_not_supported_exception.html</anchorfile>
      <anchor>a4b74364080a1e68bb786a0bc8733009c</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::OutOfRangeException</name>
    <filename>class_p_s_tech_1_1_out_of_range_exception.html</filename>
    <base>PSTech::TrackerException</base>
    <member kind="function">
      <type></type>
      <name>OutOfRangeException</name>
      <anchorfile>class_p_s_tech_1_1_out_of_range_exception.html</anchorfile>
      <anchor>a44ff576279601a3021ade50c13ef57ea</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>OutOfRangeException</name>
      <anchorfile>class_p_s_tech_1_1_out_of_range_exception.html</anchorfile>
      <anchor>a6ab65c06d6769e8059d74f6c270fa17a</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::Point</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_point.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_point.html</anchorfile>
      <anchor>a52c5513a70c1b2f0c3cf3af76db1b2b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Utils::PstArray&lt; float, 3 &gt;</type>
      <name>position</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_point.html</anchorfile>
      <anchor>a4c8ba45581793f2f8a211d4da85409c0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::Utils::PstArray</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_array.html</filename>
    <templarg>T</templarg>
    <templarg>Size</templarg>
    <member kind="typedef">
      <type>T</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a03958040551f43f4c4cc783f3d159afb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aafe7699dffda5bbcbeb815a6c267eacb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5be4b274d9c7fadef780f094ab8ab5db</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5460ec48b73b22017a7e61fe0948ca95</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae68b2e658c0b01fe409fc30ae4d46619</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab13439f71eff1894dc9177ad136e0328</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a63c173b885fddbe95144074d2f43dc66</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aaacaad8c882ab1b27539b7172a939b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>constexpr size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a9db92e0f39777bf645df448ab02ec3e4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>constexpr bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae661eb6eda497b9e6bc7faae1131f3f8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aa69701cf79e7fd7dd6282ff3d11c21c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab8f83c324863ab516cdc766889a9b290</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a767331edef7bff189c98b3fc07e9a823</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a350e525266f670c7e1116881c5c49ab2</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a20df08e3c17b9ade9284a598a8b9e62a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af60fe73da64007a523c37fd5b512a25c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a742570384f1e4622059d54f0eb839281</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af20059ab41b21b9759512cee5e2be3c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a135edf425c3d54812952afcfa4082677</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a84536df7bef28dd4b7675994ff09348a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ac8d9599d161eb5082707e265385606e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a54dab4ff1cb3e23f8eb8ff750b055a60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6569a8ee6c05285efc0673c9d8b8b4dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a938dd471aa0a57f4fb6e3f145437bf4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae649d0a37b3ce50df0dcc8a2e5b35fe6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a1f75224c7cef2b16a6989e9dce48c94e</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6f3e0dd6154c2fdc91b1451f9b08cae0</anchor>
      <arglist>(const PstArray&lt; T, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a644e950c5ac1f57a192d6d00c8ceba15</anchor>
      <arglist>(const PstArray&lt; T, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="variable">
      <type>value_type</type>
      <name>_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adbfa495f8e3baddb6ecca6888f96ae69</anchor>
      <arglist>[Size]</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adc8f5ac47cc6e8954771350e597cd96a</anchor>
      <arglist>(size_type index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PstArray&lt; float, 16 &gt;</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_array.html</filename>
    <member kind="typedef">
      <type>float</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a03958040551f43f4c4cc783f3d159afb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aafe7699dffda5bbcbeb815a6c267eacb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5be4b274d9c7fadef780f094ab8ab5db</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5460ec48b73b22017a7e61fe0948ca95</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae68b2e658c0b01fe409fc30ae4d46619</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab13439f71eff1894dc9177ad136e0328</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a63c173b885fddbe95144074d2f43dc66</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aaacaad8c882ab1b27539b7172a939b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>constexpr size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a9db92e0f39777bf645df448ab02ec3e4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>constexpr bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae661eb6eda497b9e6bc7faae1131f3f8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aa69701cf79e7fd7dd6282ff3d11c21c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab8f83c324863ab516cdc766889a9b290</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a767331edef7bff189c98b3fc07e9a823</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a350e525266f670c7e1116881c5c49ab2</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a20df08e3c17b9ade9284a598a8b9e62a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af60fe73da64007a523c37fd5b512a25c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a742570384f1e4622059d54f0eb839281</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af20059ab41b21b9759512cee5e2be3c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a135edf425c3d54812952afcfa4082677</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a84536df7bef28dd4b7675994ff09348a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ac8d9599d161eb5082707e265385606e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a54dab4ff1cb3e23f8eb8ff750b055a60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6569a8ee6c05285efc0673c9d8b8b4dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a938dd471aa0a57f4fb6e3f145437bf4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae649d0a37b3ce50df0dcc8a2e5b35fe6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a1f75224c7cef2b16a6989e9dce48c94e</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6f3e0dd6154c2fdc91b1451f9b08cae0</anchor>
      <arglist>(const PstArray&lt; float, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a644e950c5ac1f57a192d6d00c8ceba15</anchor>
      <arglist>(const PstArray&lt; float, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="variable">
      <type>value_type</type>
      <name>_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adbfa495f8e3baddb6ecca6888f96ae69</anchor>
      <arglist>[Size]</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adc8f5ac47cc6e8954771350e597cd96a</anchor>
      <arglist>(size_type index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PstArray&lt; float, 3 &gt;</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_array.html</filename>
    <member kind="typedef">
      <type>float</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a03958040551f43f4c4cc783f3d159afb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aafe7699dffda5bbcbeb815a6c267eacb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5be4b274d9c7fadef780f094ab8ab5db</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a5460ec48b73b22017a7e61fe0948ca95</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae68b2e658c0b01fe409fc30ae4d46619</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab13439f71eff1894dc9177ad136e0328</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a63c173b885fddbe95144074d2f43dc66</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const float *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aaacaad8c882ab1b27539b7172a939b01</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>constexpr size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a9db92e0f39777bf645df448ab02ec3e4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>constexpr bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae661eb6eda497b9e6bc7faae1131f3f8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>aa69701cf79e7fd7dd6282ff3d11c21c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>pointer</type>
      <name>data</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ab8f83c324863ab516cdc766889a9b290</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a767331edef7bff189c98b3fc07e9a823</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a350e525266f670c7e1116881c5c49ab2</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a20df08e3c17b9ade9284a598a8b9e62a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af60fe73da64007a523c37fd5b512a25c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a742570384f1e4622059d54f0eb839281</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>af20059ab41b21b9759512cee5e2be3c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a135edf425c3d54812952afcfa4082677</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a84536df7bef28dd4b7675994ff09348a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ac8d9599d161eb5082707e265385606e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a54dab4ff1cb3e23f8eb8ff750b055a60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6569a8ee6c05285efc0673c9d8b8b4dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a938dd471aa0a57f4fb6e3f145437bf4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>ae649d0a37b3ce50df0dcc8a2e5b35fe6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a1f75224c7cef2b16a6989e9dce48c94e</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a6f3e0dd6154c2fdc91b1451f9b08cae0</anchor>
      <arglist>(const PstArray&lt; float, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>a644e950c5ac1f57a192d6d00c8ceba15</anchor>
      <arglist>(const PstArray&lt; float, Size &gt; &amp;array) const</arglist>
    </member>
    <member kind="variable">
      <type>value_type</type>
      <name>_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adbfa495f8e3baddb6ecca6888f96ae69</anchor>
      <arglist>[Size]</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_array.html</anchorfile>
      <anchor>adc8f5ac47cc6e8954771350e597cd96a</anchor>
      <arglist>(size_type index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::PSTException</name>
    <filename>class_p_s_tech_1_1_p_s_t_exception.html</filename>
    <member kind="function">
      <type></type>
      <name>PSTException</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>aab899d22a83850bdbe94ebaca01fbf2b</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PSTException</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>ae4fbc29bb48910eb7afc0f8a3db6ce5a</anchor>
      <arglist>(const PSTException &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PSTException</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>a4ab65a40ff8610c80ecf5a855a6b051d</anchor>
      <arglist>(PSTException &amp;&amp;other) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PSTException</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>afbf3b2f264006b0a83df9cec40dadc8b</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PSTException</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>a8c8714524b6419767820b082d52da5e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>what</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>abb4535450ab5ae0431c55d86bb3b3c98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>where</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>ae71aa89098a05d0807120c6a8e409234</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>full_description</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>a554a38afcf529d38a673bd663503a342</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>m_what</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>af50f72e169e9a6b6d1530c9925de945b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>m_where</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>a8f2385a711aa18fd5bdda621b236e835</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>m_full</name>
      <anchorfile>class_p_s_tech_1_1_p_s_t_exception.html</anchorfile>
      <anchor>a3873435eac8f5bcae0fc70f29b050438</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::Utils::PstString</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_string.html</filename>
    <member kind="function">
      <type></type>
      <name>PstString</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>aa9d28ad45e6403100af2ac0286892012</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstString</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>acbb167765767d26bd9ef910cbd58ab46</anchor>
      <arglist>(const char *string)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstString</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>ac037633dc624e485f4b94fb699ecf78c</anchor>
      <arglist>(const PstString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstString</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a0c6b1d16a70cac931f6f06046cbc8465</anchor>
      <arglist>(PstString &amp;&amp;string) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PstString</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>aa814048d1fd7b606fe332025afa81602</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>c_str</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a52d764a285da195e1e8ad42ba668ff9d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>length</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a1a05fe7901392d4302b2d706afcfcf7b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>aaa6da1d7c75114790e9e933c0679faa1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a2d13cd272785e7a9b09fc97c1154b70a</anchor>
      <arglist>(size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>adf70903f083a545bff178711f53063b0</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>PstString &amp;</type>
      <name>append</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a6544a4e0d4629af3d359348edfe3e319</anchor>
      <arglist>(const PstString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a4b83323d79a6968421ea32806636d3ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a70f78bd87a0e073a6b2a971d722c943e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>PstString &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a5032fc3a77c70ae4daf54f03598b3143</anchor>
      <arglist>(const PstString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>PstString &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a3d7a126e0f2c206c81e3d8a75f96869f</anchor>
      <arglist>(PstString &amp;&amp;string) noexcept</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a8ff2bb82bd9dd8adc728ba213821cd9d</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a3456e3f1adcb00e46f804eba11455c5f</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>aeda9c8ee453e7423dd88e7e53d37e501</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a0f69a60394180d70b75ea54332e9a96f</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a37576b472786457508993a56bb4c600f</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>adaa3a0ed467eb3cba8b3cd41adfd578c</anchor>
      <arglist>(const PstString &amp;string) const</arglist>
    </member>
    <member kind="function">
      <type>PstString &amp;</type>
      <name>operator+=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a539b9aec47a4ce4659465aa68ae2ac32</anchor>
      <arglist>(const PstString &amp;right)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>copy_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a38464fdd3dfef66ae18307a4b959979e</anchor>
      <arglist>(const PstString &amp;string)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>move_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a207a7c166b8f651f80c008a94cd917bd</anchor>
      <arglist>(PstString &amp;&amp;string) noexcept</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>char *</type>
      <name>m_string</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>abb58ba9e922c56da0f0bc86060384496</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t</type>
      <name>m_size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a5cd3b60866ed452e24f1e2dc18855976</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend PstString</type>
      <name>operator+</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_string.html</anchorfile>
      <anchor>a830844073827ef326058e709f3fc2869</anchor>
      <arglist>(PstString left, const PstString &amp;right)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::Utils::PstVector</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_vector.html</filename>
    <templarg>T</templarg>
    <class kind="class">PSTech::Utils::PstVector::Allocator</class>
    <member kind="typedef">
      <type>T</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1951804b56996045ab6555488fbddb73</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a2e4626278b2b21d84f38e1dc00d11fd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a24947a93bd3c92123b3f1900b619245c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a988c68bce4e4ab3752efa2400f60b907</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a0bc41ed5dba2aece39e6b9591466b24e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7045476c49c9cbff3a62115fb8cd61a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>acc5f4fcef5f33d0d898f0f5492ef6443</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const T *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd313052ec3181a2c4f109bb190ff52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5c50855faddd90329fdfbc0d4452e8f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab8eb157337a5c9c2911525ebb9f8e36e</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab80189c6d431888acebe4f778cdd8dc1</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1e34b0d7362a2f875ead25646355c667</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a28c3681ab7455b825fe9c56adec6c471</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af5ea6a0244d76e403cf7d2a628c9c3dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab21814f5f0efbdee01e34cec1a2d2e3d</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afdd745e348a4ac97452d2cfa5a730646</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a03cc173cbd2642966dc924bc1530e1d4</anchor>
      <arglist>(PstVector &amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6b9e90a89e16c722cb887d25b8f98527</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>capacity</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a3602db35d6fd3482789f3859b846b243</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac1bad5482b300d68dff147f4528aba57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reserve</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a50ad3a279a966a56df51f1509b60bdee</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a356f1398de408be3896ba16c83f18cf1</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab6aff18c2f5661bbfbf94686407127ea</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1061db4cd9da835096975ad696aab3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a95ca9c256fa02d136fcc2e0416df3cdc</anchor>
      <arglist>(size_type count, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7106e7fabe174c8a6fa066e6bf128b68</anchor>
      <arglist>(const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aef7d33e89f1cfb46cbf2a5aead576edc</anchor>
      <arglist>(T &amp;&amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af0b1ae448ce2ff65daa8bed38fd8eff6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad46a0070c8fcdf723ba833ff44eda3a3</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a60faad2cbc3830bca95da1098c39df63</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ae52d965707170c4b67003961d2677d82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afd01a4d95709e1b6a78a0b21ffbd2434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac8e38eaa1a3ba2650847e493a6b95149</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a9e8ab979caba969bdbd52c86d050b8bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5f50e6634924f94e1b9d40cf7c9339d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab37e0fd7118ec16475a1cd33ee82d1e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a604cf871576787fd79695e3966e190e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a79230d5c531c054eaaa8dec84f3e7756</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab82a960632bfb44fea4b8ea18e2a6018</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aedad0e1b05f20026915281c9f3da34b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af455d34ee24b3aa90ad847f1ee2f1f61</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd6d3572028604fc39c403c3ba4ec95b</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>resize_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad38753ed2ec28f95c6cf29e3e8cee085</anchor>
      <arglist>(size_type size, const_pointer data)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6de315381dd44cfa8a7246dbed8a4df6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a685806c7d5bdaf5390c4888aee3f6eb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_allocated</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aa1fd840855339f534a1aca80d8783705</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>pointer</type>
      <name>m_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6a647eb966e48b824006da01e810d8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Allocator</type>
      <name>m_allocator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a069ee197e42f6bbdc9a73161355b65b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PstVector&lt; Point &gt;</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_vector.html</filename>
    <member kind="typedef">
      <type>Point</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1951804b56996045ab6555488fbddb73</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a2e4626278b2b21d84f38e1dc00d11fd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Point *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a24947a93bd3c92123b3f1900b619245c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const Point *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a988c68bce4e4ab3752efa2400f60b907</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Point &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a0bc41ed5dba2aece39e6b9591466b24e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const Point &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7045476c49c9cbff3a62115fb8cd61a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Point *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>acc5f4fcef5f33d0d898f0f5492ef6443</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const Point *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd313052ec3181a2c4f109bb190ff52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5c50855faddd90329fdfbc0d4452e8f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab8eb157337a5c9c2911525ebb9f8e36e</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab80189c6d431888acebe4f778cdd8dc1</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1e34b0d7362a2f875ead25646355c667</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a28c3681ab7455b825fe9c56adec6c471</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af5ea6a0244d76e403cf7d2a628c9c3dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab21814f5f0efbdee01e34cec1a2d2e3d</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afdd745e348a4ac97452d2cfa5a730646</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a03cc173cbd2642966dc924bc1530e1d4</anchor>
      <arglist>(PstVector &amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6b9e90a89e16c722cb887d25b8f98527</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>capacity</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a3602db35d6fd3482789f3859b846b243</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac1bad5482b300d68dff147f4528aba57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reserve</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a50ad3a279a966a56df51f1509b60bdee</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a356f1398de408be3896ba16c83f18cf1</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab6aff18c2f5661bbfbf94686407127ea</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1061db4cd9da835096975ad696aab3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a95ca9c256fa02d136fcc2e0416df3cdc</anchor>
      <arglist>(size_type count, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7106e7fabe174c8a6fa066e6bf128b68</anchor>
      <arglist>(const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aef7d33e89f1cfb46cbf2a5aead576edc</anchor>
      <arglist>(Point &amp;&amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af0b1ae448ce2ff65daa8bed38fd8eff6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad46a0070c8fcdf723ba833ff44eda3a3</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a60faad2cbc3830bca95da1098c39df63</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ae52d965707170c4b67003961d2677d82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afd01a4d95709e1b6a78a0b21ffbd2434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac8e38eaa1a3ba2650847e493a6b95149</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a9e8ab979caba969bdbd52c86d050b8bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5f50e6634924f94e1b9d40cf7c9339d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab37e0fd7118ec16475a1cd33ee82d1e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a604cf871576787fd79695e3966e190e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a79230d5c531c054eaaa8dec84f3e7756</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab82a960632bfb44fea4b8ea18e2a6018</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aedad0e1b05f20026915281c9f3da34b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af455d34ee24b3aa90ad847f1ee2f1f61</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd6d3572028604fc39c403c3ba4ec95b</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>resize_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad38753ed2ec28f95c6cf29e3e8cee085</anchor>
      <arglist>(size_type size, const_pointer data)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6de315381dd44cfa8a7246dbed8a4df6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a685806c7d5bdaf5390c4888aee3f6eb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_allocated</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aa1fd840855339f534a1aca80d8783705</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>pointer</type>
      <name>m_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6a647eb966e48b824006da01e810d8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Allocator</type>
      <name>m_allocator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a069ee197e42f6bbdc9a73161355b65b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PstVector&lt; TargetPose &gt;</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_vector.html</filename>
    <member kind="typedef">
      <type>TargetPose</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1951804b56996045ab6555488fbddb73</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a2e4626278b2b21d84f38e1dc00d11fd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TargetPose *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a24947a93bd3c92123b3f1900b619245c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const TargetPose *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a988c68bce4e4ab3752efa2400f60b907</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TargetPose &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a0bc41ed5dba2aece39e6b9591466b24e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const TargetPose &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7045476c49c9cbff3a62115fb8cd61a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TargetPose *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>acc5f4fcef5f33d0d898f0f5492ef6443</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const TargetPose *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd313052ec3181a2c4f109bb190ff52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5c50855faddd90329fdfbc0d4452e8f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab8eb157337a5c9c2911525ebb9f8e36e</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab80189c6d431888acebe4f778cdd8dc1</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1e34b0d7362a2f875ead25646355c667</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a28c3681ab7455b825fe9c56adec6c471</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af5ea6a0244d76e403cf7d2a628c9c3dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab21814f5f0efbdee01e34cec1a2d2e3d</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afdd745e348a4ac97452d2cfa5a730646</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a03cc173cbd2642966dc924bc1530e1d4</anchor>
      <arglist>(PstVector &amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6b9e90a89e16c722cb887d25b8f98527</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>capacity</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a3602db35d6fd3482789f3859b846b243</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac1bad5482b300d68dff147f4528aba57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reserve</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a50ad3a279a966a56df51f1509b60bdee</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a356f1398de408be3896ba16c83f18cf1</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab6aff18c2f5661bbfbf94686407127ea</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1061db4cd9da835096975ad696aab3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a95ca9c256fa02d136fcc2e0416df3cdc</anchor>
      <arglist>(size_type count, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7106e7fabe174c8a6fa066e6bf128b68</anchor>
      <arglist>(const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aef7d33e89f1cfb46cbf2a5aead576edc</anchor>
      <arglist>(TargetPose &amp;&amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af0b1ae448ce2ff65daa8bed38fd8eff6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad46a0070c8fcdf723ba833ff44eda3a3</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a60faad2cbc3830bca95da1098c39df63</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ae52d965707170c4b67003961d2677d82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afd01a4d95709e1b6a78a0b21ffbd2434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac8e38eaa1a3ba2650847e493a6b95149</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a9e8ab979caba969bdbd52c86d050b8bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5f50e6634924f94e1b9d40cf7c9339d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab37e0fd7118ec16475a1cd33ee82d1e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a604cf871576787fd79695e3966e190e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a79230d5c531c054eaaa8dec84f3e7756</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab82a960632bfb44fea4b8ea18e2a6018</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aedad0e1b05f20026915281c9f3da34b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af455d34ee24b3aa90ad847f1ee2f1f61</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd6d3572028604fc39c403c3ba4ec95b</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>resize_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad38753ed2ec28f95c6cf29e3e8cee085</anchor>
      <arglist>(size_type size, const_pointer data)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6de315381dd44cfa8a7246dbed8a4df6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a685806c7d5bdaf5390c4888aee3f6eb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_allocated</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aa1fd840855339f534a1aca80d8783705</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>pointer</type>
      <name>m_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6a647eb966e48b824006da01e810d8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Allocator</type>
      <name>m_allocator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a069ee197e42f6bbdc9a73161355b65b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PstVector&lt; unsigned char *&gt;</name>
    <filename>class_p_s_tech_1_1_utils_1_1_pst_vector.html</filename>
    <member kind="typedef">
      <type>unsigned char *</type>
      <name>value_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1951804b56996045ab6555488fbddb73</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>size_t</type>
      <name>size_type</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a2e4626278b2b21d84f38e1dc00d11fd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char * *</type>
      <name>pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a24947a93bd3c92123b3f1900b619245c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const unsigned char * *</type>
      <name>const_pointer</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a988c68bce4e4ab3752efa2400f60b907</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char * &amp;</type>
      <name>reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a0bc41ed5dba2aece39e6b9591466b24e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const unsigned char * &amp;</type>
      <name>const_reference</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7045476c49c9cbff3a62115fb8cd61a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned char * *</type>
      <name>iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>acc5f4fcef5f33d0d898f0f5492ef6443</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>const unsigned char * *</type>
      <name>const_iterator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd313052ec3181a2c4f109bb190ff52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5c50855faddd90329fdfbc0d4452e8f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab8eb157337a5c9c2911525ebb9f8e36e</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab80189c6d431888acebe4f778cdd8dc1</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1e34b0d7362a2f875ead25646355c667</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a28c3681ab7455b825fe9c56adec6c471</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PstVector</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af5ea6a0244d76e403cf7d2a628c9c3dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab21814f5f0efbdee01e34cec1a2d2e3d</anchor>
      <arglist>(const PstVector &amp;vector)</arglist>
    </member>
    <member kind="function">
      <type>PstVector &amp;</type>
      <name>operator=</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afdd745e348a4ac97452d2cfa5a730646</anchor>
      <arglist>(PstVector &amp;&amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>swap</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a03cc173cbd2642966dc924bc1530e1d4</anchor>
      <arglist>(PstVector &amp;vector) noexcept</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6b9e90a89e16c722cb887d25b8f98527</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>size_type</type>
      <name>capacity</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a3602db35d6fd3482789f3859b846b243</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>empty</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac1bad5482b300d68dff147f4528aba57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reserve</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a50ad3a279a966a56df51f1509b60bdee</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a356f1398de408be3896ba16c83f18cf1</anchor>
      <arglist>(size_type size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab6aff18c2f5661bbfbf94686407127ea</anchor>
      <arglist>(size_type size, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a1061db4cd9da835096975ad696aab3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>assign</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a95ca9c256fa02d136fcc2e0416df3cdc</anchor>
      <arglist>(size_type count, const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a7106e7fabe174c8a6fa066e6bf128b68</anchor>
      <arglist>(const_reference data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>push_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aef7d33e89f1cfb46cbf2a5aead576edc</anchor>
      <arglist>(unsigned char * &amp;&amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop_back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af0b1ae448ce2ff65daa8bed38fd8eff6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad46a0070c8fcdf723ba833ff44eda3a3</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>at</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a60faad2cbc3830bca95da1098c39df63</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ae52d965707170c4b67003961d2677d82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>front</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>afd01a4d95709e1b6a78a0b21ffbd2434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ac8e38eaa1a3ba2650847e493a6b95149</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>back</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a9e8ab979caba969bdbd52c86d050b8bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cbegin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a5f50e6634924f94e1b9d40cf7c9339d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab37e0fd7118ec16475a1cd33ee82d1e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>begin</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a604cf871576787fd79695e3966e190e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>cend</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a79230d5c531c054eaaa8dec84f3e7756</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ab82a960632bfb44fea4b8ea18e2a6018</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>iterator</type>
      <name>end</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aedad0e1b05f20026915281c9f3da34b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const_reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>af455d34ee24b3aa90ad847f1ee2f1f61</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="function">
      <type>reference</type>
      <name>operator[]</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>abd6d3572028604fc39c403c3ba4ec95b</anchor>
      <arglist>(size_type index)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>resize_internal</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>ad38753ed2ec28f95c6cf29e3e8cee085</anchor>
      <arglist>(size_type size, const_pointer data)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>check_bounds</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6de315381dd44cfa8a7246dbed8a4df6</anchor>
      <arglist>(size_type index) const</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_size</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a685806c7d5bdaf5390c4888aee3f6eb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_type</type>
      <name>m_allocated</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>aa1fd840855339f534a1aca80d8783705</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>pointer</type>
      <name>m_array</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a6a647eb966e48b824006da01e810d8e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Allocator</type>
      <name>m_allocator</name>
      <anchorfile>class_p_s_tech_1_1_utils_1_1_pst_vector.html</anchorfile>
      <anchor>a069ee197e42f6bbdc9a73161355b65b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::Target</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_target.html</filename>
    <member kind="variable">
      <type>Utils::PstString</type>
      <name>name</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target.html</anchorfile>
      <anchor>ad00d1c6b186f9373ad2ff4b3371bbf38</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Utils::PstString</type>
      <name>uuid</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target.html</anchorfile>
      <anchor>aaa9da182143217041089e8131a8631c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>id</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target.html</anchorfile>
      <anchor>a28224b55addfe7f65d0e1d6d8bca9b76</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::TargetPose</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_target_pose.html</filename>
    <base>PSTech::pstsdk::Target</base>
    <member kind="variable">
      <type>Utils::PstArray&lt; float, 16 &gt;</type>
      <name>pose</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target_pose.html</anchorfile>
      <anchor>ad3b9de170076b3d1ec9702fcfe0eb625</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Points</type>
      <name>matched_markers</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target_pose.html</anchorfile>
      <anchor>a7e5cb3e65f135760e98c15e7fc3dce67</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::TargetStatus</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_target_status.html</filename>
    <base>PSTech::pstsdk::Target</base>
    <member kind="variable">
      <type>bool</type>
      <name>status</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_target_status.html</anchorfile>
      <anchor>ad8a88220069dbd1b7edf10ef0cb22e63</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::pstsdk::Tracker</name>
    <filename>class_p_s_tech_1_1pstsdk_1_1_tracker.html</filename>
    <member kind="function">
      <type></type>
      <name>Tracker</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a362673d86d83804f5b1726058492a702</anchor>
      <arglist>(const Utils::PstString &amp;path=&quot;&quot;, const Utils::PstString &amp;config_file=&quot;server.cfg&quot;, const Utils::PstString &amp;db_file=&quot;models.db&quot;, const Utils::PstString &amp;grabber_name=&quot;default&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Tracker</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a9df271b150f1116e2cc89e88926eae86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>LoadCalibrationFromLocalPath</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a77130d0ca335615269ecaa099b351b45</anchor>
      <arglist>(const Utils::PstString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>TrackerData</type>
      <name>GetSingleMeasurement</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a3e97741c04d3ed7140ede21d618b5d32</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstVector&lt; Utils::PstString &gt;</type>
      <name>GetConnectedCameraUrls</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a8354abbc9134a1f5a8459827da9db454</anchor>
      <arglist>(bool silent=false) const</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstVector&lt; Utils::PstString &gt;</type>
      <name>GetUncalibratedCameraUrls</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>adf70161cf38f12c572c427edf27bca0d</anchor>
      <arglist>(bool silent=false)</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstString</type>
      <name>GetVersionInfo</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>ae8b7d2158b381563b38cf4da42fa25ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstString</type>
      <name>GetConfigPath</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>aab76f45dab129b5cd9c6ca2cfc2dc0a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTrackerListener</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>af68c7f786c9832b3b4dd9372fb89de92</anchor>
      <arglist>(Listener *listener)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTrackerListener</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>aedf8c0323871c042910c434a1523718e</anchor>
      <arglist>(Listener *listener)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Start</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>afc6a55c31648f5f3898d79030859c164</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Pause</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a0febc6d1742df21771deb46cfb950a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>StatusMessage</type>
      <name>Systemcheck</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a133bd6478efe108f0fbdf4e471123829</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFramerate</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a3d4833a6c32bcd27f8cceb2c5ac0cfa3</anchor>
      <arglist>(double fps)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>GetFramerate</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a1904e9e97462d4fede87156cbdf35088</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstVector&lt; float &gt;</type>
      <name>GetSupportedFramerates</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a43ba02391a540b49827e9e7a06e75cbb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetExposure</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a4cdcf6a1cbb19f5b10c3693d39e38a10</anchor>
      <arglist>(double time)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>GetExposure</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a7a764b81d69fd35efd6a276e40cfcd12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetExposureRange</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a07314d13ae5acf96c4e5b590159952d1</anchor>
      <arglist>(double &amp;min, double &amp;max) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>EnableFiltering</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a8ec627f0ecac3636fba9e512f66ed7af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DisableFiltering</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a00043315d8ec624f10d0dcf70e1cce27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetPositionFilter</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a9111d8105563336e38c2d6e1552dbb04</anchor>
      <arglist>(double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetOrientationFilter</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a698b9cbc6a4c9c1c0306aab640e8ce7d</anchor>
      <arglist>(double value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>EnableTremorFilter</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a53675c1f0e8be5b7ec57c460bf21b56d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DisableTremorFilter</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a63d90542385dcbd723566bf9558c5268</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>EnableImageTransfer</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a2858a2df9c8aa97c4ae2deb6957be191</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DisableImageTransfer</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a072b7a657573ef2865391ad4eb458fc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetImage</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>af29135dc3424128b23ca4f6c30429be0</anchor>
      <arglist>(Image &amp;image) const</arglist>
    </member>
    <member kind="function">
      <type>TargetStatuses</type>
      <name>GetTargetList</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>ae19f4c3bb6f18d17c3090d00db740807</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Target</type>
      <name>GetTargetInfo</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a9743e76a2add7c5ec51aef2b51bfcf38</anchor>
      <arglist>(const Utils::PstString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTargetStatus</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a85dc0b6f1ca70ae405fec33e8512d1c8</anchor>
      <arglist>(const Utils::PstString &amp;name, bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetTargetStatus</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a88fea7c3faff472f0e11aca206566270</anchor>
      <arglist>(const Utils::PstString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>MarkerList</type>
      <name>GetTargetMarkers</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>abd0ca059266babe767589131f245585f</anchor>
      <arglist>(const Utils::PstString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTargetId</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a235079dfb9bf90879603dd12b81d248f</anchor>
      <arglist>(const Utils::PstString &amp;name, int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetReference</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>ad9e9c326627eaa74a6751bed78e9d399</anchor>
      <arglist>(const Utils::PstArray&lt; float, 16 &gt; &amp;reference, bool relative=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDefaultReference</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a7d7027b9471c2ba30ac3ec8dca269c78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstArray&lt; float, 16 &gt;</type>
      <name>GetReference</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>afc33bc9a360fe2358b52d1041623d379</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ImportJSONModel</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a7f3b9d20587415a00942b640ae43023a</anchor>
      <arglist>(const Utils::PstString &amp;json_model)</arglist>
    </member>
    <member kind="function">
      <type>Utils::PstString</type>
      <name>ExportJSONModel</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>aa3151e24f812137be1451bfc0702ffa9</anchor>
      <arglist>(const Utils::PstString &amp;model_name) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTargetModel</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a3c233ab673eb717a0b8a58b359238fb7</anchor>
      <arglist>(const Utils::PstString &amp;model_name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>Shutdown</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>abaa6da58330c60acba12457b7d1b2870</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>EnableSharedMemory</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a78e2aa68f73a64faf63b825fe11dc51d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>DisableSharedMemory</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>a98006bedffa2bfaeb3de40245a9b3dd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>EnableRestServer</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>ae2fbc9515b14ae3a27ff09e79d8becaa</anchor>
      <arglist>(const Utils::PstString &amp;server_address, const Utils::PstString &amp;server_port, int eventStream_retry_timeout_ms=3000)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>DisableRestServer</name>
      <anchorfile>class_p_s_tech_1_1pstsdk_1_1_tracker.html</anchorfile>
      <anchor>adf021d3cf7342d4efb54283cec6675d2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>PSTech::pstsdk::TrackerData</name>
    <filename>struct_p_s_tech_1_1pstsdk_1_1_tracker_data.html</filename>
    <member kind="variable">
      <type>double</type>
      <name>timestamp</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_tracker_data.html</anchorfile>
      <anchor>a0e6e588b8ed5fb0a3362c67166c9165d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>seqnumber</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_tracker_data.html</anchorfile>
      <anchor>ac1b091e14fb85283328a72f898d24311</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TargetPoses</type>
      <name>targetlist</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_tracker_data.html</anchorfile>
      <anchor>a34adfca222fb37dd355e2b9e435946bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Points</type>
      <name>datapoints</name>
      <anchorfile>struct_p_s_tech_1_1pstsdk_1_1_tracker_data.html</anchorfile>
      <anchor>a916f355195747070edcd80b55197e768</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PSTech::TrackerException</name>
    <filename>class_p_s_tech_1_1_tracker_exception.html</filename>
    <base>PSTech::PSTException</base>
    <member kind="function">
      <type></type>
      <name>TrackerException</name>
      <anchorfile>class_p_s_tech_1_1_tracker_exception.html</anchorfile>
      <anchor>a50e0da4f57ba6e71e462b112e765ef27</anchor>
      <arglist>(const char *what)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TrackerException</name>
      <anchorfile>class_p_s_tech_1_1_tracker_exception.html</anchorfile>
      <anchor>aaaedc91dbdb7f3f0ca2b38ea4027fcef</anchor>
      <arglist>(const char *function, int line, const char *what)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>PSTech</name>
    <filename>namespace_p_s_tech.html</filename>
    <namespace>PSTech::pstsdk</namespace>
    <namespace>PSTech::Utils</namespace>
    <class kind="class">PSTech::AlreadyExistsException</class>
    <class kind="class">PSTech::HttpException</class>
    <class kind="class">PSTech::InvalidDataException</class>
    <class kind="class">PSTech::IOException</class>
    <class kind="class">PSTech::JSONException</class>
    <class kind="class">PSTech::NotFoundException</class>
    <class kind="class">PSTech::NotInitializedException</class>
    <class kind="class">PSTech::NotSupportedException</class>
    <class kind="class">PSTech::OutOfRangeException</class>
    <class kind="class">PSTech::PSTException</class>
    <class kind="class">PSTech::TrackerException</class>
  </compound>
  <compound kind="namespace">
    <name>PSTech::pstsdk</name>
    <filename>namespace_p_s_tech_1_1pstsdk.html</filename>
    <namespace>PSTech::pstsdk::ExportedTypeConversions</namespace>
    <class kind="struct">PSTech::pstsdk::Image</class>
    <class kind="class">PSTech::pstsdk::Listener</class>
    <class kind="struct">PSTech::pstsdk::Point</class>
    <class kind="struct">PSTech::pstsdk::Target</class>
    <class kind="struct">PSTech::pstsdk::TargetPose</class>
    <class kind="struct">PSTech::pstsdk::TargetStatus</class>
    <class kind="class">PSTech::pstsdk::Tracker</class>
    <class kind="struct">PSTech::pstsdk::TrackerData</class>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Target &gt;</type>
      <name>Targets</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga309090509c3ef99756650d04b97f7ae3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetStatus &gt;</type>
      <name>TargetStatuses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga6d657617469b6b0a952ca38dec1473b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Point &gt;</type>
      <name>Points</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>gaefada679604ce5d98a55a3ef5daf3950</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetPose &gt;</type>
      <name>TargetPoses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga1eb26da5114f4771d6920fa47ed14a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Utils::PstArray&lt; float, 3 &gt; &gt;</type>
      <name>MarkerList</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga7c74db57b5cfed3570fda7e51fe2289f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>StatusMessage</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga334f40a25385faa58fa9edcb0d90cff5</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ae0aa021e21dddbd6d8cecec71e9cf564">OK</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a02de9649e258d1dd94056e676061e969">NOT_INITIALIZED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a99c8ce56e7ab246445d3b134724428f3">DISCONNECTED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a7ee1d6df65ab465de65535d5af2d2f91">ERR_GENERAL</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ac82a27709efb1143b08da2cb97822fd5">ERR_TIMEOUT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a875df40b67689a872004e951d7e5a1c8">ERR_NOCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a071f30dd49e8df603858816ff43b1d41">ERR_NOTENOUGHTCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ababeca197b1dc3756aa87c04701e8f79">ERR_INITERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a9e29524075a1b3479465d3b172198ab6">ERR_CANNOT_START_CAMS</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ad8fcbf9854cd5d803a907fe3c840af94">ERR_CANNOT_SETUP_CAMS</enumvalue>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>TrackerMode</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga756fafee029ba46fa0eea49558df1148</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0addcf61b10b9caba89d15cedd597639">LOWPOWER</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148addbb81a9e3aab6cfa19ad8eb2389efd4">SETUP</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a8728801b2a11ad95c8ecf855bfd484e4">TRACKING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a7c95c63fdc6550e5b33eed35360778c3">TRAINING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148add7cd0eb57db08d4f98abc48e5593462">DISCONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a435d743b35551ea7106af41c4a308c01">RECONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0500ac4be1fa58507ca4a2f175b5fe71">TRACKER_ERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a696b031073e74bf2cb98e5ef201d4aa3">UNKNOWN</enumvalue>
    </member>
    <member kind="function">
      <type>void</type>
      <name>EnableLogging</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gacb791dbc7ad3a415d91e38546237aac2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>GetSdkVersion</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gad51bc9b89e2717ea92e7e6a9651c6c56</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>PSTech::pstsdk::ExportedTypeConversions</name>
    <filename>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</filename>
    <member kind="function">
      <type>PSTech::pstsdk::Point</type>
      <name>ToPoint</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>a32be245762fd1512f620c994c11142a9</anchor>
      <arglist>(const ::DataPoint &amp;datapoint)</arglist>
    </member>
    <member kind="function">
      <type>PSTech::pstsdk::TargetPose</type>
      <name>ToTargetPose</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>a25933e76b0ba3da980b261ac8955c650</anchor>
      <arglist>(const ::DevicePose &amp;devicepose)</arglist>
    </member>
    <member kind="function">
      <type>PSTech::pstsdk::TrackerData</type>
      <name>ToTrackerData</name>
      <anchorfile>namespace_p_s_tech_1_1pstsdk_1_1_exported_type_conversions.html</anchorfile>
      <anchor>aed0cb4b9292fb22b02ff3eb9d25b99f3</anchor>
      <arglist>(const ::TrackerData &amp;td)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>PSTech::Utils</name>
    <filename>namespace_p_s_tech_1_1_utils.html</filename>
    <class kind="class">PSTech::Utils::PstArray</class>
    <class kind="class">PSTech::Utils::PstString</class>
    <class kind="class">PSTech::Utils::PstVector</class>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespace_p_s_tech_1_1_utils.html</anchorfile>
      <anchor>aa1d30e6d85cc57cd5fd66dcb309d618e</anchor>
      <arglist>(std::ostream &amp;stream, const PstString &amp;string)</arglist>
    </member>
    <member kind="function">
      <type>std::istream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespace_p_s_tech_1_1_utils.html</anchorfile>
      <anchor>a8f38c97ddee90a3afc16e12903d5ed50</anchor>
      <arglist>(std::istream &amp;stream, PstString &amp;string)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>pstsdkcpp</name>
    <title>PST SDK C++ API</title>
    <filename>group__pstsdkcpp.html</filename>
    <class kind="class">PSTech::pstsdk::Listener</class>
    <class kind="class">PSTech::pstsdk::Tracker</class>
    <member kind="function">
      <type>void</type>
      <name>EnableLogging</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gacb791dbc7ad3a415d91e38546237aac2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>GetSdkVersion</name>
      <anchorfile>group__pstsdkcpp.html</anchorfile>
      <anchor>gad51bc9b89e2717ea92e7e6a9651c6c56</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>pstsdk</name>
    <title>Pstsdk</title>
    <filename>group__pstsdk.html</filename>
    <class kind="struct">PSTech::pstsdk::Image</class>
    <class kind="struct">PSTech::pstsdk::Target</class>
    <class kind="struct">PSTech::pstsdk::TargetStatus</class>
    <class kind="struct">PSTech::pstsdk::Point</class>
    <class kind="struct">PSTech::pstsdk::TargetPose</class>
    <class kind="struct">PSTech::pstsdk::TrackerData</class>
    <class kind="class">PSTech::PSTException</class>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Target &gt;</type>
      <name>Targets</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga309090509c3ef99756650d04b97f7ae3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetStatus &gt;</type>
      <name>TargetStatuses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga6d657617469b6b0a952ca38dec1473b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Point &gt;</type>
      <name>Points</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>gaefada679604ce5d98a55a3ef5daf3950</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; TargetPose &gt;</type>
      <name>TargetPoses</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga1eb26da5114f4771d6920fa47ed14a6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Utils::PstVector&lt; Utils::PstArray&lt; float, 3 &gt; &gt;</type>
      <name>MarkerList</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga7c74db57b5cfed3570fda7e51fe2289f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>StatusMessage</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga334f40a25385faa58fa9edcb0d90cff5</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ae0aa021e21dddbd6d8cecec71e9cf564">OK</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a02de9649e258d1dd94056e676061e969">NOT_INITIALIZED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a99c8ce56e7ab246445d3b134724428f3">DISCONNECTED</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a7ee1d6df65ab465de65535d5af2d2f91">ERR_GENERAL</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ac82a27709efb1143b08da2cb97822fd5">ERR_TIMEOUT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a875df40b67689a872004e951d7e5a1c8">ERR_NOCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a071f30dd49e8df603858816ff43b1d41">ERR_NOTENOUGHTCAMS_FOUND</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ababeca197b1dc3756aa87c04701e8f79">ERR_INITERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5a9e29524075a1b3479465d3b172198ab6">ERR_CANNOT_START_CAMS</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga334f40a25385faa58fa9edcb0d90cff5ad8fcbf9854cd5d803a907fe3c840af94">ERR_CANNOT_SETUP_CAMS</enumvalue>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>TrackerMode</name>
      <anchorfile>group__pstsdk.html</anchorfile>
      <anchor>ga756fafee029ba46fa0eea49558df1148</anchor>
      <arglist></arglist>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0addcf61b10b9caba89d15cedd597639">LOWPOWER</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148addbb81a9e3aab6cfa19ad8eb2389efd4">SETUP</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a8728801b2a11ad95c8ecf855bfd484e4">TRACKING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a7c95c63fdc6550e5b33eed35360778c3">TRAINING</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148add7cd0eb57db08d4f98abc48e5593462">DISCONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a435d743b35551ea7106af41c4a308c01">RECONNECT</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a0500ac4be1fa58507ca4a2f175b5fe71">TRACKER_ERROR</enumvalue>
      <enumvalue file="group__pstsdk.html" anchor="gga756fafee029ba46fa0eea49558df1148a696b031073e74bf2cb98e5ef201d4aa3">UNKNOWN</enumvalue>
    </member>
  </compound>
  <compound kind="page">
    <name>Using_SDK</name>
    <title>Using PST SDK</title>
    <filename>_using__s_d_k</filename>
    <docanchor file="_using__s_d_k" title="Setup Windows">Setup_win_cpp</docanchor>
    <docanchor file="_using__s_d_k" title="Setup Linux">Setup_linux_cpp</docanchor>
    <docanchor file="_using__s_d_k" title="Initialization">Initialization</docanchor>
    <docanchor file="_using__s_d_k" title="Calibration">Calibration</docanchor>
    <docanchor file="_using__s_d_k" title="Tracking Target Setup">Target</docanchor>
    <docanchor file="_using__s_d_k" title="Usage">Usage</docanchor>
    <docanchor file="_using__s_d_k" title="Receiving tracker data">Receive_data</docanchor>
    <docanchor file="_using__s_d_k">Filtering</docanchor>
    <docanchor file="_using__s_d_k" title="Camera Images">Images</docanchor>
    <docanchor file="_using__s_d_k" title="Reference System">Reference</docanchor>
    <docanchor file="_using__s_d_k" title="Safe Tracker Termination">Termination</docanchor>
  </compound>
  <compound kind="page">
    <name>Examples</name>
    <title>Examples</title>
    <filename>_examples</filename>
  </compound>
  <compound kind="page">
    <name>listener</name>
    <title>listener.cpp</title>
    <filename>listener</filename>
  </compound>
  <compound kind="page">
    <name>minimal</name>
    <title>minimal.cpp</title>
    <filename>minimal</filename>
  </compound>
  <compound kind="page">
    <name>sharedmemory</name>
    <title>sharedmemory.cpp</title>
    <filename>sharedmemory</filename>
  </compound>
  <compound kind="page">
    <name>trackingtarget</name>
    <title>trackingtarget.cpp</title>
    <filename>trackingtarget</filename>
  </compound>
  <compound kind="page">
    <name>exposure</name>
    <title>exposure.cpp</title>
    <filename>exposure</filename>
  </compound>
  <compound kind="page">
    <name>reference</name>
    <title>reference.cpp</title>
    <filename>reference</filename>
  </compound>
  <compound kind="page">
    <name>images</name>
    <title>images.cpp</title>
    <filename>images</filename>
  </compound>
  <compound kind="page">
    <name>restserver</name>
    <title>restserver.cpp</title>
    <filename>restserver</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Using C++</title>
    <filename>index</filename>
    <docanchor file="index">cpp_module</docanchor>
    <docanchor file="index">Requirements</docanchor>
    <docanchor file="index">Topics</docanchor>
  </compound>
</tagfile>
