<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>examples.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/docs/rest/</path>
    <filename>examples_8dox</filename>
  </compound>
  <compound kind="file">
    <name>main.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/docs/rest/</path>
    <filename>main_8dox</filename>
  </compound>
  <compound kind="file">
    <name>reference.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/docs/rest/</path>
    <filename>reference_8dox</filename>
  </compound>
  <compound kind="file">
    <name>usage.dox</name>
    <path>/home/pstech/builds/3SMsnoaN/0/ps-tech/pst-installer/pstsdk/docs/rest/</path>
    <filename>usage_8dox</filename>
  </compound>
  <compound kind="page">
    <name>Using_SDK_REST</name>
    <title>Using PST SDK</title>
    <filename>_using__s_d_k__r_e_s_t</filename>
    <docanchor file="_using__s_d_k__r_e_s_t">Overview</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Initialization">REST_Initialization</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Calibration">REST_Calibration</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Tracking Target Setup">REST_Target</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Reference System">REST_Reference</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Usage">REST_Usage</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Receiving tracker data">REST_Receive_data</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Retrieving status information">Retrieving_simple_information</docanchor>
    <docanchor file="_using__s_d_k__r_e_s_t" title="Changing the state">Changing_state</docanchor>
  </compound>
  <compound kind="page">
    <name>Rest_Examples</name>
    <title>Examples</title>
    <filename>_rest__examples</filename>
  </compound>
  <compound kind="page">
    <name>REST_Tracking_Example</name>
    <title>Getting tracking results</title>
    <filename>_r_e_s_t__tracking__example</filename>
  </compound>
  <compound kind="page">
    <name>REST_Images_Example</name>
    <title>Getting camera images</title>
    <filename>_r_e_s_t__images__example</filename>
  </compound>
  <compound kind="page">
    <name>Rest_Reference</name>
    <title>REST API</title>
    <filename>_rest__reference</filename>
  </compound>
  <compound kind="page">
    <name>GetExposure</name>
    <title>GetExposure</title>
    <filename>_get_exposure</filename>
  </compound>
  <compound kind="page">
    <name>GetExposureRange</name>
    <title>GetExposureRange</title>
    <filename>_get_exposure_range</filename>
  </compound>
  <compound kind="page">
    <name>GetFramerate</name>
    <title>GetFramerate</title>
    <filename>_get_framerate</filename>
  </compound>
  <compound kind="page">
    <name>GetPositionFilter</name>
    <title>GetPositionFilter</title>
    <filename>_get_position_filter</filename>
  </compound>
  <compound kind="page">
    <name>GetOrientationFilter</name>
    <title>GetOrientationFilter</title>
    <filename>_get_orientation_filter</filename>
  </compound>
  <compound kind="page">
    <name>SystemCheck</name>
    <title>SystemCheck</title>
    <filename>_system_check</filename>
  </compound>
  <compound kind="page">
    <name>GetTargetStatus</name>
    <title>GetTargetStatus</title>
    <filename>_get_target_status</filename>
  </compound>
  <compound kind="page">
    <name>GetTargetList</name>
    <title>GetTargetList</title>
    <filename>_get_target_list</filename>
  </compound>
  <compound kind="page">
    <name>GetSupportedFramerates</name>
    <title>GetSupportedFramerates</title>
    <filename>_get_supported_framerates</filename>
  </compound>
  <compound kind="page">
    <name>GetTargetMarkers</name>
    <title>GetTargetMarkers</title>
    <filename>_get_target_markers</filename>
  </compound>
  <compound kind="page">
    <name>GetVersionInfo</name>
    <title>GetVersionInfo</title>
    <filename>_get_version_info</filename>
  </compound>
  <compound kind="page">
    <name>GetTargetInfo</name>
    <title>GetTargetInfo</title>
    <filename>_get_target_info</filename>
  </compound>
  <compound kind="page">
    <name>GetReference</name>
    <title>GetReference</title>
    <filename>_get_reference</filename>
  </compound>
  <compound kind="page">
    <name>GetSingleMeasurement</name>
    <title>GetSingleMeasurement</title>
    <filename>_get_single_measurement</filename>
  </compound>
  <compound kind="page">
    <name>GetUncalibratedCameraUrls</name>
    <title>GetUncalibratedCameraUrls</title>
    <filename>_get_uncalibrated_camera_urls</filename>
  </compound>
  <compound kind="page">
    <name>StartTrackerDataStream</name>
    <title>StartTrackerDataStream</title>
    <filename>_start_tracker_data_stream</filename>
  </compound>
  <compound kind="page">
    <name>StartRawImageDataStream</name>
    <title>StartRawImageDataStream</title>
    <filename>_start_raw_image_data_stream</filename>
  </compound>
  <compound kind="page">
    <name>SetFramerate</name>
    <title>SetFramerate</title>
    <filename>_set_framerate</filename>
  </compound>
  <compound kind="page">
    <name>SetPositionFilter</name>
    <title>SetPositionFilter</title>
    <filename>_set_position_filter</filename>
  </compound>
  <compound kind="page">
    <name>SetOrientationFilter</name>
    <title>SetOrientationFilter</title>
    <filename>_set_orientation_filter</filename>
  </compound>
  <compound kind="page">
    <name>SetTargetStatus</name>
    <title>SetTargetStatus</title>
    <filename>_set_target_status</filename>
  </compound>
  <compound kind="page">
    <name>SetTargetId</name>
    <title>SetTargetId</title>
    <filename>_set_target_id</filename>
  </compound>
  <compound kind="page">
    <name>SetReference</name>
    <title>SetReference</title>
    <filename>_set_reference</filename>
  </compound>
  <compound kind="page">
    <name>SetRelativeReference</name>
    <title>SetRelativeReference</title>
    <filename>_set_relative_reference</filename>
  </compound>
  <compound kind="page">
    <name>SetDefaultReference</name>
    <title>SetDefaultReference</title>
    <filename>_set_default_reference</filename>
  </compound>
  <compound kind="page">
    <name>SetExposure</name>
    <title>SetExposure</title>
    <filename>_set_exposure</filename>
  </compound>
  <compound kind="page">
    <name>EnableImageTransfer</name>
    <title>EnableImageTransfer</title>
    <filename>_enable_image_transfer</filename>
  </compound>
  <compound kind="page">
    <name>DisableImageTransfer</name>
    <title>DisableImageTransfer</title>
    <filename>_disable_image_transfer</filename>
  </compound>
  <compound kind="page">
    <name>EnableTremorFilter</name>
    <title>EnableTremorFilter</title>
    <filename>_enable_tremor_filter</filename>
  </compound>
  <compound kind="page">
    <name>DisableTremorFilter</name>
    <title>DisableTremorFilter</title>
    <filename>_disable_tremor_filter</filename>
  </compound>
  <compound kind="page">
    <name>EnableFiltering</name>
    <title>EnableFiltering</title>
    <filename>_enable_filtering</filename>
  </compound>
  <compound kind="page">
    <name>DisableFiltering</name>
    <title>DisableFiltering</title>
    <filename>_disable_filtering</filename>
  </compound>
  <compound kind="page">
    <name>Start</name>
    <title>Start</title>
    <filename>_start</filename>
  </compound>
  <compound kind="page">
    <name>Pause</name>
    <title>Pause</title>
    <filename>_pause</filename>
  </compound>
  <compound kind="page">
    <name>CloseImageStream</name>
    <title>CloseImageStream</title>
    <filename>_close_image_stream</filename>
  </compound>
  <compound kind="page">
    <name>CloseDataStream</name>
    <title>CloseDataStream</title>
    <filename>_close_data_stream</filename>
  </compound>
  <compound kind="page">
    <name>CloseStreams</name>
    <title>CloseStreams</title>
    <filename>_close_streams</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Using REST</title>
    <filename>index</filename>
    <docanchor file="index">rest_module</docanchor>
    <docanchor file="index" title="Requirements">Requirements_rest</docanchor>
    <docanchor file="index" title="Topics">Topics_rest</docanchor>
  </compound>
</tagfile>
